<style>
	
	
	.col,
	.col-1,
	.col-10,
	.col-11,
	.col-12,
	.col-2,
	.col-3,
	.col-4,
	.col-5,
	.col-6,
	.col-7,
	.col-8,
	.col-9,
	.col-auto,
	.col-lg,
	.col-lg-1,
	.col-lg-10,
	.col-lg-11,
	.col-lg-12,
	.col-lg-2,
	.col-lg-3,
	.col-lg-4,
	.col-lg-5,
	.col-lg-6,
	.col-lg-7,
	.col-lg-8,
	.col-lg-9,
	.col-lg-auto,
	.col-md,
	.col-md-1,
	.col-md-10,
	.col-md-11,
	.col-md-12,
	.col-md-2,
	.col-md-3,
	.col-md-4,
	.col-md-5,
	.col-md-6,
	.col-md-7,
	.col-md-8,
	.col-md-9,
	.col-md-auto,
	.col-sm,
	.col-sm-1,
	.col-sm-10,
	.col-sm-11,
	.col-sm-12,
	.col-sm-2,
	.col-sm-3,
	.col-sm-4,
	.col-sm-5,
	.col-sm-6,
	.col-sm-7,
	.col-sm-8,
	.col-sm-9,
	.col-sm-auto,
	.col-xl,
	.col-xl-1,
	.col-xl-10,
	.col-xl-11,
	.col-xl-12,
	.col-xl-2,
	.col-xl-3,
	.col-xl-4,
	.col-xl-5,
	.col-xl-6,
	.col-xl-7,
	.col-xl-8,
	.col-xl-9,
	.col-xl-auto {
		float: left;
	}

	.modal-header {
		margin-bottom: 15px;
	}

	.pad0 {
		padding: 0;
	}

	.form-control {
		padding: 5px;
	}
	
<!-- 	#cabin_class:hover, #airline:hover {
		background-color: #ed1c24;
} -->
<!-- .dropdown-menuairline{
   max-height: 250px;
   overflow-y: auto;
  } -->
 #airlineDropdown1{
	background: #030000;
	color: #FFFFFF;
	Border: none;
    width: 150px;
	font-weight: 400;
    font-size: 16px;
	padding-bottom: 2px;
    padding-top: 2px;
}
.cabinLabel{
color: white;
}
 #cabinDropdown{
	background: #030000;
	color: #FFFFFF;
	Border: none;
	padding-left: 65px;
    width: 219px;
	font-weight: 400;
    font-size: 16px;
	padding-bottom: 2px;
    padding-top: 2px;
}

#airline { 
    background-color: #FFFFFF;
}
#cabin_class { 
    background-color: #FFFFFF;
}
#airline:hover { 
    background-color: #ed1c24;
	}
select {
        font-size: 18px;
    }

.chosen-container .chosen-results {
    min-width: 150px;
    background: #fff;
	margin: 0 !important;
    padding: 0 !important;
}	
.modal-dialog {
	max-width: 53em !important;
	}
	
	.chosen-container {min-width:100%;}
 .chosen-container .chosen-results {
    background: #fff;
	margin: 0 !important;
    padding: 0 !important;
} 
.chosen-container-single .chosen-single{padding-left:0 !important;}
 .chosen-container-single .chosen-single span {
	font-family:Open Sans,Arial,Helvetica,sans-serif !important;
	white-space:normal; text-overflow:unset; margin-right:0;
} 
 .chosen-single div b {
    display: inline-block !important;
    width: 100% !important;
    height: 100% !important;
    background: url(chosen-sprite.png) no-repeat 7px 5px;
} 
 .chosen-single {
    /*position: ;*/
    display: inline-block !important;
    overflow: hidden !important;
    padding: 0 0 0 8px !important; 
    height: 25px !important;
    border: 1px solid #aaa !important;
    border-radius: 5px !important;
	width:100%;
	} 
</style>


<style>

.ui-widget-content { background:#fff !important; }
.ui-widget-content a.ui-state-focus { background:#ed1c24 !important; color:#ffffff !important; }

.ui-state-hover,
.ui-widget-content .ui-state-hover,
.ui-widget-header .ui-state-hover,
.ui-state-focus,
.ui-widget-content .ui-state-focus,
.ui-widget-header .ui-state-focus {
border: 1px solid #fff;
background: #ed1c24;
font-weight: bold;
color: #ffffff;
}
.ui-state-hover a,
.ui-state-hover a:hover,
.ui-state-hover a:link,
.ui-state-hover a:visited,
.ui-state-focus a,
.ui-state-focus a:hover,
.ui-state-focus a:link,
.ui-state-focus a:visited {
color: #ffffff;
text-decoration: none;
}
</style>

<div ng-controller="flightHotelCtrl">
	<form id="holidayForm" name="holidayForm" ng-submit="holidaySearch(holidayForm.$valid);" novalidate="novalidate">
	<div class="row">
		<div class="form-group col-md-4 pr-0">
			<label>Flying from?</label><span class="red">*</span>
			<div ng-class="{'has-error': holidayForm.from_places.$invalid && submitted}">
				<div class="input-group">
				<div class="input-group-prepend">
					<span class="input-group-text" id="basic-addon1"><i class="icon-flights"></i></span>
				</div>
				<input type="text" placeholder="Enter an airport"  ng-model="searchFlightObjJson.frmAirport" id="from_places" name="from_places" class="form-control" required autofocus/>
			</div>
				</div>
				<div ng-show="holidayForm.from_places.$invalid && submitted" class="cardErr">Please Enter Flying from</div>
				<div ng-show="errorDisp1" class="cardErr">Please Enter Flying from</div>
		</div>
		<div class="form-group col-md-4 pr-0">
			<label>Where to?</label><span class="red">*</span>
			<div ng-class="{'has-error': holidayForm.to_places.$invalid && submitted}">
				<div class="input-group">
				<div class="input-group-prepend">
					<span class="input-group-text" id="basic-addon1"><i class="icon-pin"></i></span>
				</div>
				<input type="text" id="to_places" required name="to_places" ng-model="searchFlightObjJson.toAirport" class="form-control" placeholder="Enter a destination" />
			</div>
				</div>
				<div ng-show="holidayForm.to_places.$invalid && submitted" class="cardErr">Please Enter Where to</div>
				<div ng-show="errorDisp" class="cardErr">Please Enter Where to</div>
		</div>
		<div class="form-group col-md-4">
			<label>When?</label><span class="red">*</span>
			<div ng-class="{'has-error': holidayForm.daterange3.$invalid && submitted}">
				<div class="input-group">
				<div class="input-group-prepend">
					<span class="input-group-text" id="basic-addon1"><i class="icon-calendar"></i></span>
				</div>
				<input readonly type="text" id="daterange3"style="background-color: white;" name="daterange3" class="form-control date-picker"ng-model="flightSearchDate" placeholder="Enter a date" date-range-picker ng-model="dates" options="opts" required autocomplete="off"/>
				
			</div>
				</div>
				<div ng-show="holidayForm.daterange3.$invalid && submitted" class="cardErr">Please Enter When</div>
		</div>
		<div class="form-group col-md-4 pr-0">
			<label>Hotel City</label><span class="red">*</span>
			<div ng-class="{'has-error': holidayForm.search1.$invalid && submitted}">
				<div class="input-group">
				<div class="input-group-prepend">
					<span class="input-group-text" id="basic-addon1"><i class="icon-hotels"></i></span>
				</div>
				<input id="search1" name="search1" ng-model="fromHotel" placeholder="Destination City" autocomplete="off" type="text" class="form-control mb15" required autofocus/>
			</div>
				</div>
				<div ng-show="holidayForm.search1.$invalid && submitted" class="cardErr">Please Enter Hotel City</div>
				<div ng-show="errorDisp2" class="cardErr">Please Enter Hotel City</div>
		</div>
		
		<div class="form-group col-md-4 pr-0">
			<label>When?</label><span class="red">*</span>
			<div ng-class="{'has-error': holidayForm.hoteldaterange.$invalid && submitted}">
				<div class="input-group">
				<div class="input-group-prepend">
					<span class="input-group-text" id="basic-addon1"><i class="icon-calendar"></i></span>
				</div>
				<input readonly type="text" id="hoteldaterange" style="background-color: white;"name="hoteldaterange" class="form-control date-picker" placeholder="Enter a date" date-range-picker ng-model="hoteldate" options="hotelOpt" required autocomplete="off"/>
				
			</div>
				</div>
				<div ng-show="holidayForm.hoteldaterange.$invalid && submitted" class="cardErr">Please Enter When</div>
				<div ng-show="errorDisp4" class="cardErr">Please Enter When</div>
		</div>
		<div class="form-group col-md-4">
			<label>Who is going?</label><span class="red">*</span>
			<div ng-class="{'has-error': holidayForm.passenger.$invalid && submitted}">
				<div class="input-group">
				<div class="input-group-prepend">
					<span class="input-group-text" id="basic-addon1"><i class="icon-occupancy"></i></span>
				</div>
				<input readonly type="text" class="form-control" style="background-color: white;"name="passenger" ng-model="passengerInfo" placeholder="Enter passenger count" ng-click="open();"/>
			</div>
				</div>
				<div ng-show="holidayForm.passenger.$invalid && submitted" class="cardErr">Please Enter Who is going</div>
			
		</div>
	</div>
	
	<div class="row mt-3"style="    margin-left: -22px;">
	
	<div class="col-md-8">
				<div class="row extra-flight-options-panel">
				<div class="col-md-1"> </div>
	<div class="col-md-5">
					<div class="row">
					  <div class="col-md-4 lab-pad">
					  <label for="cabinDropdown cabin-m-left">Cabin class : </label>
					  </div>
					  
					  <div class="col-md-8">
						  <div class="cabinDropdown holiday-cabin" style="padding-left: 0px;">
							<div class="form-group dropdown">
								<select chosen disable-search="true" class="dropdown-menuCabinClass" id="cabinDropdown" ng-model="cabinClass"
								 aria-labelledby="dropdownMenuButton" style="position: absolute;width: 150px;padding-left: 0px;">
									<option class="dropdown-item" id="cabin_class" href="#" ng-repeat="action in cabinClassList">{{action}}</option>
								</select>
							</div>
						</div>
					  </div>
					  
					</div>
						
						

					</div>
					
					<div class="col-md-5">
					  <div class="row">
						<div class="col-md-4">
						
							<label class="select-box-pre-text air-line">Airline : </label>
						</div>
						<div class="col-md-8">
							<div class="airlineDropdown holiday-cabin">
							<div class="form-group dropdown">
								<select chosen class="dropdown-menuairline" id="airlineDropdown" ng-model="airlinee" aria-labelledby="dropdownMenuButton"
								 style="position: absolute;width: 150px;padding-left: 0px; background:#000; color:#fff; border:0;">
									<option class="dropdown-item" id="airline" href="#" value={{airline.code}} ng-repeat="airline in airlineList">{{airline.title}}</option>
								</select>
							</div>
						</div>
						</div>
					  </div>

						
						

					</div>
					<div class="col-md-1"> </div>
					</div>
				</div>
	
		<div class="col-md-4 text-right">
			<button type="submit" class="btn btn-dark btn-search"><i class="fa fa-search" aria-hidden="true"></i> Search</button>
		</div>
		
	</div>
	 
	</form>
	<div class="modal-demo">
		<script type="text/ng-template" id="modalContent.html">
			<div class="modal-header">
			<h3 class="modal-title" id="modal-title">
			Passenger Count
		</h3>
		<button type="button" class="close" data-dismiss="modal" aria-hidden="true" ng-click="cancel();">×</button>
	</div>
		<form name="myForm">
				<div class="row">
						<div class="col-md-4 col-md-4  d-none d-sm-block d-md-block">
								<div class="pull-right">
								Adult
								</div>
						</div>
						<div class="col-md-3 col-md-4  d-none d-sm-block d-md-block" style="margin-left: 45px;" >
								<div class="pull-left">
								Child
								</div>
						</div>
						<div class="col-md-5  d-none d-sm-block d-md-block" style="margin-left: -117px;" ng-if="withChild.length>0">
								<div class="pull-left">
								
								Children's ages (on your return date)
							
								</div>
						</div>
						</div>
						<div class ="col-md-12">
						
								<div class ="col-md-12 pad0">
                                    <div class="form-group col-md-6" style="margin-left: 5%">
                                       <div class="col-md-8">
                                    		
								
  								  </div></div>
									</div>
                             
                            
								<div class = "col-md-12 custom-room-scroll pad0" id = "rooms_block">

									<!-- Start of Row -->
									 <div  ng-repeat="roomBean in roomList"  class="row adult_content margin0">  
                                         
                                         
                                         
									 	<div class="form-group col-md-12">
                                            
											<div class = "col-md-2 pad0">
                                                <label class="col-md-12 control-label pad0">Room {{$index+1}}</label>
											</div>
											<div class = "col-md-1 pad0" style="width: 30px;">
                                           		 <a href="javascript:void(0);" class="round-button round-button-remove remove-row" ng-click="removeRoom($index)" ng-if="roomList.length > 1">	<img src="images/remove-more.png" style="width: 15px;height: 15px;" /> </a>
                                           </div>
											<div class = "col-md-2 pad0">
                                                
                                                  <div class="col-md-12">
                                                  <label class="col-md-12X d-block d-sm-none d-md-none">Adult</label>
												<select ng-model="roomBean.adultCount" class="form-control adult_count">
													<option>1</option><option>2</option><option>3</option><option>4</option>
												</select>  
    </div>
											</div>
                                            
											<div class="col-md-2 child_content pad0">
                                                
                                                  <div class="col-md-12">
                                                  <label class="col-md-12X d-block d-sm-none d-md-none">Child</label>
												<select ng-model="roomBean.childCount"  ng-change="updateChildList($index)" class="form-control child" >
																	<option>0</option><option>1</option><option>2</option>							
												</select>	
    </div>
												</div>
                                            
											<div class="col-md-5 pad0" ng-repeat="childBean in roomBean.childrens" >	
                                            <label class="col-md-12X d-block d-sm-none d-md-none" style="margin-left:13px;">Children's ages (on your return date)</label>	
											<div  class="col-md-6 child_content pad0" ng-repeat="childInfo in childBean.childBeans">
                                                
												 
                                                <div class="col-md-6">
												<select ng-model="childInfo.age" class="form-control input-sm mb15 child_age" style="margin-right: -28px;" required>
													<option>1</option><option>2</option><option>3</option><option>4</option><option>5</option><option>6</option><option>7</option><option>8</option><option>9</option>
												</select>
                                                    </div>
											</div>
											</div>
                                            
										</div>
                                         
                                         
                                         
                                         
									</div>
																				
									</div>
							
						
							
							
						</div>
						</form>
                        <div class="passenger-count">
				<div class="modal-footer">
			<div class="add-room">
			<a class="round-o-icon-label button-add-room" href="javascript:void(0);" ng-click="addRoom()" ng-if="maxRooms > 1" ng-hide="roomList.length >= maxRooms">
	<span class="round-button round-button-add"><img src="images/add-more.png" style="width: 15px;height: 15px;" /></span>
	Add another room
						</a>
			</div>
			<button type="submit" class="applyBtn btn btn-sm btn-success" ng-click="ok();">OK</button>
			<button type="button" class="cancelBtn btn btn-sm btn-default" ng-click="cancel();">Cancel</button>
		</div>
        </div>
	</script>
	</div>

</div>

